<!--
/********************************************************************************
 * Copyright © 2018 Mettenmeier GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->
<div class="container-fluid">
  <form class="mt-3" [formGroup]="form" novalidate>
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom stick-headlines">
      <h1 class="h2">Funktion verwalten</h1>
      <div class="btn-toolbar mb-2 mb-md-0">
        <button *ngIf="authService.userHasRoles(['BP_Sachbearbeiter','BP_Admin'])" class="btn btn-success mr-1" (click)="saveFunction()"
          id="functionSave">Speichern</button>
        <button class="btn btn-danger float-right" routerLink="/stammdatenverwaltung/funktion" id="functionCancel">Abbrechen</button>
      </div>
    </div>
    <ngb-accordion #acc="ngbAccordion" activeIds="functionData">
      <!-- DATEN -->
      <ngb-panel title="Funktionen" id="functionData">
        <ng-template ngbPanelContent>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group row">
                <label for="functionName" class="col-sm-3 col-form-label">Name</label>
                <div class="col-sm-9">
                  <input type="text" class="form-control" id="functionName" placeholder="Name" formControlName="functionName"
                    required>
                  <ok-error [control]="form.controls['functionName']"></ok-error>
                </div>
              </div>
            </div>
          </div>
        </ng-template>
      </ngb-panel>
    </ngb-accordion>
  </form>
</div>